net.sf.jasperreports.engine

## Class JRAbstractObjectFactory

- java.lang.Object
- - net.sf.jasperreports.engine.JRAbstractObjectFactory

- All Implemented Interfaces:
    JRVisitor
  Direct Known Subclasses:
    JRBaseObjectFactory, JRFillObjectFactory

      public abstract class JRAbstractObjectFactory
      extends java.lang.Object
      implements JRVisitor

  Version:
    $Id: JRAbstractObjectFactory.java 5878 2013-01-07 20:23:13Z teodord $
  Author:
    Teodor Danciu (teodord@users.sourceforge.net)

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JRAbstractObjectFactory()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected java.lang.Object` | `get(java.lang.Object object)`
    `abstract JRAreaPlot` | `getAreaPlot(JRAreaPlot areaPlot)`
    `abstract JRBar3DPlot` | `getBar3DPlot(JRBar3DPlot barPlot)`
    `abstract JRBarPlot` | `getBarPlot(JRBarPlot barPlot)`
    `abstract JRBubblePlot` | `getBubblePlot(JRBubblePlot bubblePlot)`
    `abstract JRCandlestickPlot` | `getCandlestickPlot(JRCandlestickPlot candlestickPlot)`
    `abstract JRCategoryDataset` | `getCategoryDataset(JRCategoryDataset categoryDataset)`
    `abstract JRCategorySeries` | `getCategorySeries(JRCategorySeries categorySeries)`
    `abstract JRConditionalStyle` | `getConditionalStyle(JRConditionalStyle conditionalStyle, JRStyle parentStyle)`
    `JRExpression` | `getExpression(JRExpression expression)`
    `abstract JRExpression` | `getExpression(JRExpression expression, boolean assignNotUsedId)`
    `JRFont` | `getFont(JRStyleContainer styleContainer, JRFont font)`
    `abstract JRLinePlot` | `getLinePlot(JRLinePlot linePlot)`
    `abstract JRPie3DPlot` | `getPie3DPlot(JRPie3DPlot pie3DPlot)`
    `abstract JRPieDataset` | `getPieDataset(JRPieDataset pieDataset)`
    `abstract JRPiePlot` | `getPiePlot(JRPiePlot piePlot)`
    `abstract JRPieSeries` | `getPieSeries(JRPieSeries pieSeries)`
    `abstract JRStyle` | `getStyle(JRStyle style)`
    `abstract JRTimePeriodDataset` | `getTimePeriodDataset(JRTimePeriodDataset timePeriodDataset)`
    `abstract JRTimePeriodSeries` | `getTimePeriodSeries(JRTimePeriodSeries timePeriodSeries)`
    `abstract JRTimeSeries` | `getTimeSeries(JRTimeSeries timeSeries)`
    `abstract JRTimeSeriesDataset` | `getTimeSeriesDataset(JRTimeSeriesDataset timeSeriesDataset)`
    `java.lang.Object` | `getVisitResult(JRVisitable visitable)`
    `abstract JRXyzDataset` | `getXyzDataset(JRXyzDataset xyzDataset)`
    `abstract JRXyzSeries` | `getXyzSeries(JRXyzSeries xyzSeries)`
    `void` | `put(java.lang.Object object, java.lang.Object copy)`
    `abstract void` | `setStyle(JRStyleSetter setter, JRStyleContainer styleContainer)` Sets a style or a style reference on an object.
    `protected void` | `setVisitResult(java.lang.Object visitResult)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRVisitor

      `visitBreak, visitChart, visitComponentElement, visitCrosstab, visitElementGroup, visitEllipse, visitFrame, visitGenericElement, visitImage, visitLine, visitRectangle, visitStaticText, visitSubreport, visitTextField`

- - ### Constructor Detail

    - #### JRAbstractObjectFactory

          public JRAbstractObjectFactory()

  - ### Method Detail

    - #### get

          protected java.lang.Object get(java.lang.Object object)

    - #### put

          public void put(java.lang.Object object,
                 java.lang.Object copy)

    - #### getVisitResult

          public java.lang.Object getVisitResult(JRVisitable visitable)

    - #### setVisitResult

          protected void setVisitResult(java.lang.Object visitResult)

    - #### getStyle

          public abstract JRStyle getStyle(JRStyle style)

    - #### setStyle

          public abstract void setStyle(JRStyleSetter setter,
                      JRStyleContainer styleContainer)

      Sets a style or a style reference on an object.

      If the container includes a style (see `getStyle()`, a copy of this style will be created via `getStyle(JRStyle)` and set on the object.

      In addition to this, the implementation needs to handle the case when the container includes an external style reference (see `getStyleNameReference()`.
      Parameters:
        `setter` - a setter for the object on which the style should be set.
        `styleContainer` - the original style container
      See Also:
        `getStyle(JRStyle)`

    - #### getFont

          public JRFont getFont(JRStyleContainer styleContainer,
                       JRFont font)

    - #### getPieDataset

          public abstract JRPieDataset getPieDataset(JRPieDataset pieDataset)

    - #### getPiePlot

          public abstract JRPiePlot getPiePlot(JRPiePlot piePlot)

    - #### getPie3DPlot

          public abstract JRPie3DPlot getPie3DPlot(JRPie3DPlot pie3DPlot)

    - #### getCategoryDataset

          public abstract JRCategoryDataset getCategoryDataset(JRCategoryDataset categoryDataset)

    - #### getTimeSeriesDataset

          public abstract JRTimeSeriesDataset getTimeSeriesDataset(JRTimeSeriesDataset timeSeriesDataset)

    - #### getTimePeriodDataset

          public abstract JRTimePeriodDataset getTimePeriodDataset(JRTimePeriodDataset timePeriodDataset)

    - #### getTimePeriodSeries

          public abstract JRTimePeriodSeries getTimePeriodSeries(JRTimePeriodSeries timePeriodSeries)

    - #### getTimeSeries

          public abstract JRTimeSeries getTimeSeries(JRTimeSeries timeSeries)

    - #### getPieSeries

          public abstract JRPieSeries getPieSeries(JRPieSeries pieSeries)

    - #### getCategorySeries

          public abstract JRCategorySeries getCategorySeries(JRCategorySeries categorySeries)

    - #### getXyzDataset

          public abstract JRXyzDataset getXyzDataset(JRXyzDataset xyzDataset)

    - #### getXyzSeries

          public abstract JRXyzSeries getXyzSeries(JRXyzSeries xyzSeries)

    - #### getBarPlot

          public abstract JRBarPlot getBarPlot(JRBarPlot barPlot)

    - #### getBar3DPlot

          public abstract JRBar3DPlot getBar3DPlot(JRBar3DPlot barPlot)

    - #### getLinePlot

          public abstract JRLinePlot getLinePlot(JRLinePlot linePlot)

    - #### getAreaPlot

          public abstract JRAreaPlot getAreaPlot(JRAreaPlot areaPlot)

    - #### getBubblePlot

          public abstract JRBubblePlot getBubblePlot(JRBubblePlot bubblePlot)

    - #### getCandlestickPlot

          public abstract JRCandlestickPlot getCandlestickPlot(JRCandlestickPlot candlestickPlot)

    - #### getConditionalStyle

          public abstract JRConditionalStyle getConditionalStyle(JRConditionalStyle conditionalStyle,
                                               JRStyle parentStyle)

    - #### getExpression

          public abstract JRExpression getExpression(JRExpression expression,
                                   boolean assignNotUsedId)

    - #### getExpression

          public JRExpression getExpression(JRExpression expression)

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com